/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 *   
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

#include "StockQuoteServiceImpl_webService_Proxy.h"

#include "osoa/sca/sca.h"

extern "C"
{

    #if defined(WIN32) || defined(_WINDOWS)
    __declspec(dllexport) 
    #endif
    StockQuoteServiceImpl_webService_Proxy* StockQuoteServiceImpl_webService_Proxy_Factory(tuscany::sca::ServiceWrapper* target)
    {
        return new StockQuoteServiceImpl_webService_Proxy(target);
    }

    #if defined(WIN32) || defined(_WINDOWS)
    __declspec(dllexport) 
    #endif
    void StockQuoteServiceImpl_webService_Proxy_Destructor(void* proxy)
    {
        delete (StockQuoteServiceImpl_webService_Proxy*)proxy;
    }
}

StockQuoteServiceImpl_webService_Proxy::StockQuoteServiceImpl_webService_Proxy(tuscany::sca::ServiceWrapper* targ) : target(targ)
{
}

StockQuoteServiceImpl_webService_Proxy::~StockQuoteServiceImpl_webService_Proxy()
{
    if (target)
        delete target;
}

const std::string StockQuoteServiceImpl_webService_Proxy::GetQuote(const std::string arg0)
{
    tuscany::sca::Operation operation("GetQuote");
    operation.addParameter("symbol", &arg0);
    const std::string ret;
    operation.setReturnValue(&ret);
    target->invoke(operation);
    return *(const std::string*)operation.getReturnValue();
}


